eID middleware |

# be.portugal.eid.PTEID_Certificates Class Reference

Container class for all certificates on the card. More...

Inheritance diagram for be.portugal.eid.PTEID_Certificates:

List of all members.

## Public Member Functions
synchronized void | delete ()
| PTEID_Certificates ()
| Create a PTEID_Certificates store without any link to a card.
long | countFromCard () throws java.lang.Exception
| The number of certificates that were read from the card.
long | countAll () throws java.lang.Exception
| The total number of certificates in the container (from a card or not).
PTEID_Certificate | getCertFromCard (long ulIndexCard) throws java.lang.Exception
| Get a certificate from the card by index Throw PTEID_ExParamRange exception if the index is out of range.
PTEID_Certificate | getCert (long ulIndexAll) throws java.lang.Exception
| Get a certificate from the container by index.
PTEID_Certificate | getCert (PTEID_CertifType type) throws java.lang.Exception
| Get a certificate by type.
PTEID_Certificate | getRrn ()
| Get the RRN certificate from the card.
PTEID_Certificate | getRoot () throws java.lang.Exception
| Get the root certificate from the card.
PTEID_Certificate | getCA () throws java.lang.Exception
| Get the ca certificate from the card.
PTEID_Certificate | getSignature () throws java.lang.Exception
| Get the signature certificate from the card.
PTEID_Certificate | getAuthentication () throws java.lang.Exception
| Get the authentication certificate from the card.
PTEID_Certificate | addCertificate (PTEID_ByteArray cert) throws java.lang.Exception
| Add a new certificate to the store.
## Protected Member Functions
| PTEID_Certificates (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (PTEID_Certificates obj)

## Detailed Description

Container class for all certificates on the card.

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_Certificates.PTEID_Certificates | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

be.portugal.eid.PTEID_Certificates.PTEID_Certificates | ( |  | ) |

Create a PTEID_Certificates store without any link to a card.

This store is not linked to any card, therefore some methods can not be used and throw a PTEID_ExBadUsage exception.

## Member Function Documentation

PTEID_Certificate be.portugal.eid.PTEID_Certificates.addCertificate | ( | PTEID_ByteArray | cert | ) | throws java.lang.Exception

Add a new certificate to the store.

long be.portugal.eid.PTEID_Certificates.countAll | ( |  | ) | throws java.lang.Exception

The total number of certificates in the container (from a card or not).

long be.portugal.eid.PTEID_Certificates.countFromCard | ( |  | ) | throws java.lang.Exception

The number of certificates that were read from the card.

synchronized void be.portugal.eid.PTEID_Certificates.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_Crypto.

References be.portugal.eid.PTEID_Object.swigCMemOwn.

void be.portugal.eid.PTEID_Certificates.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_Crypto.

PTEID_Certificate be.portugal.eid.PTEID_Certificates.getAuthentication | ( |  | ) | throws java.lang.Exception

Get the authentication certificate from the card.

PTEID_Certificate be.portugal.eid.PTEID_Certificates.getCA | ( |  | ) | throws java.lang.Exception

Get the ca certificate from the card.

PTEID_Certificate be.portugal.eid.PTEID_Certificates.getCert | ( | PTEID_CertifType | type | ) | throws java.lang.Exception

Get a certificate by type.

PTEID_Certificate be.portugal.eid.PTEID_Certificates.getCert | ( | long | ulIndexAll | ) | throws java.lang.Exception

Get a certificate from the container by index.

ATTENTION ulIndexAll and ulIndexCard are two different indexes The index will change if new certificates are added with addCert()

PTEID_Certificate be.portugal.eid.PTEID_Certificates.getCertFromCard | ( | long | ulIndexCard | ) | throws java.lang.Exception

Get a certificate from the card by index Throw PTEID_ExParamRange exception if the index is out of range.

static long be.portugal.eid.PTEID_Certificates.getCPtr | ( | PTEID_Certificates | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_Certificates.swigCPtr.

PTEID_Certificate be.portugal.eid.PTEID_Certificates.getRoot | ( |  | ) | throws java.lang.Exception

Get the root certificate from the card.

PTEID_Certificate be.portugal.eid.PTEID_Certificates.getRrn | ( |  | ) |

Get the RRN certificate from the card.

PTEID_Certificate be.portugal.eid.PTEID_Certificates.getSignature | ( |  | ) | throws java.lang.Exception

Get the signature certificate from the card.